Update a CSAT tool definition (only if it has no responses)
curl --request PATCH \
--url https://clientapi.woku.app/v1/csat-tools/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"question": "<string>",
"subject": "<string>",
"availableLocales": [
"es",
"en"
],
"localizedContent": [
{
"locale": "en",
"question": "How satisfied are you with your purchase?",
"subject": "your purchase"
}
]
}
'import requests
url = "https://clientapi.woku.app/v1/csat-tools/{id}"
payload = {
"name": "<string>",
"question": "<string>",
"subject": "<string>",
"availableLocales": ["es", "en"],
"localizedContent": [
{
"locale": "en",
"question": "How satisfied are you with your purchase?",
"subject": "your purchase"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
question: '<string>',
subject: '<string>',
availableLocales: ['es', 'en'],
localizedContent: [
{
locale: 'en',
question: 'How satisfied are you with your purchase?',
subject: 'your purchase'
}
]
})
};
fetch('https://clientapi.woku.app/v1/csat-tools/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 400,
"message": [
"email must be a valid email",
"password must be at least 8 characters"
],
"error": "Bad Request"
}v1 - csat-tools
Update a CSAT tool definition (only if it has no responses)
PATCH
/
v1
/
csat-tools
/
{id}
Update a CSAT tool definition (only if it has no responses)
Authorizations
Company secret API key.
Path Parameters
Body
application/json
Response
CSAT tool updated